hpp-python: pyhpp::core::Problem Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
pyhpp::core::Problem Struct Reference

`#include <pyhpp/core/problem.hh>`

## Public Member Functions
| Problem (const DevicePtr_t &robot)
| Problem (hpp::core::ProblemPtr_t problemPtr)
const DevicePtr_t & | robot () const
void | setParameter (const std::string &name, const Parameter &value)
void | setParameterFloat (const std::string &name, value_type value)
void | setParameterInt (const std::string &name, size_type value)
const Parameter & | getParameter (const std::string &name) const
PyWSteeringMethodPtr_t | steeringMethod () const
const ConfigValidationsPtr_t & | configValidation () const
PathValidationPtr_t | pathValidation () const
PathProjectorPtr_t | pathProjector () const
DistancePtr_t | distance () const
const ProblemTargetPtr_t & | target () const
ConfigurationShooterPtr_t | configurationShooter () const
void | steeringMethod (const PyWSteeringMethodPtr_t &steeringMethod)
void | configValidation (const ConfigValidationsPtr_t &cv)
void | clearConfigValidations ()
void | pathValidation (const PathValidationPtr_t &pv)
void | pathProjector (const PathProjectorPtr_t &pp)
void | distance (const DistancePtr_t &d)
void | target (const ProblemTargetPtr_t &t)
void | configurationShooter (const ConfigurationShooterPtr_t &configurationShooter)
void | initConfig (ConfigurationIn_t inConfig)
void | addGoalConfig (ConfigurationIn_t config)
void | addConfigValidation (const std::string &type)
void | resetGoalConfigs ()
hpp::manipulation::ProblemPtr_t | asManipulationProblem () const
bool | isManipulationProblem () const
void | addPartialCom (const std::string &name, boost::python::list pyjointNames)
hpp::pinocchio::vector3_t | getPartialCom (const std::string &name)
hpp::constraints::ImplicitPtr_t | createRelativeComConstraint (const char *constraintName, const char *comName, const char *jointName, hpp::pinocchio::vector3_t point, boost::python::list mask)
hpp::constraints::ImplicitPtr_t | createTransformationConstraint (const char *constraintName, const char *joint1Name, const char *joint2Name, const hpp::pinocchio::Transform3s &M, boost::python::list mask)
hpp::constraints::ImplicitPtr_t | createTransformationConstraint2 (const char *constraintName, const char *joint1Name, const char *joint2Name, const hpp::pinocchio::Transform3s &M1, const hpp::pinocchio::Transform3s &M2, const boost::python::list mask)
void | setConstantRightHandSide (hpp::constraints::ImplicitPtr_t constraint, bool constant)
boost::python::tuple | applyConstraints (ConfigurationIn_t config)
boost::python::tuple | isConfigValid (ConfigurationIn_t dofArray)
void | setConstraints (hpp::core::ConstraintSetPtr_t constraints)
hpp::core::ConstraintSetPtr_t | getConstraints ()
void | setRightHandSideFromConfig (ConfigurationIn_t configIn)
void | addNumericalConstraintsToConfigProjector1 (const char *configProjName, boost::python::list constraints, boost::python::list priorities)
void | addNumericalConstraintsToConfigProjector2 (const char *configProjName, boost::python::list constraints)
hpp::constraints::ImplicitPtr_t | createComBetweenFeet (const char *constraintName, const char *comName, const char *jointLName, const char *jointRName, const hpp::pinocchio::vector3_t &pointL, const hpp::pinocchio::vector3_t &pointR, const char *jointRefName, const hpp::pinocchio::vector3_t &pointRef, boost::python::list mask)
boost::python::tuple | directPath (ConfigurationIn_t start, ConfigurationIn_t end, bool validate)

## Public Attributes
hpp::core::ProblemPtr_t | obj
std::map< std::string, hpp::pinocchio::CenterOfMassComputationPtr_t > | centerOfMassComputations
hpp::core::ConstraintSetPtr_t | constraints_
value_type | errorThreshold_
size_type | maxIterProjection_

## Constructor & Destructor Documentation

## ◆ Problem() [1/2]

pyhpp::core::Problem::Problem | ( | const DevicePtr_t & | robot | ) |

## ◆ Problem() [2/2]

pyhpp::core::Problem::Problem | ( | hpp::core::ProblemPtr_t | problemPtr | ) |
| inline

## Member Function Documentation

## ◆ addConfigValidation()

void pyhpp::core::Problem::addConfigValidation | ( | const std::string & | type | ) |

## ◆ addGoalConfig()

void pyhpp::core::Problem::addGoalConfig | ( | ConfigurationIn_t | config | ) |

## ◆ addNumericalConstraintsToConfigProjector1()

void pyhpp::core::Problem::addNumericalConstraintsToConfigProjector1 | ( | const char * | configProjName,
|  | boost::python::list | constraints,
|  | boost::python::list | priorities
| ) |  |

## ◆ addNumericalConstraintsToConfigProjector2()

void pyhpp::core::Problem::addNumericalConstraintsToConfigProjector2 | ( | const char * | configProjName,
|  | boost::python::list | constraints
| ) |  |

## ◆ addPartialCom()

void pyhpp::core::Problem::addPartialCom | ( | const std::string & | name,
|  | boost::python::list | pyjointNames
| ) |  |

## ◆ applyConstraints()

boost::python::tuple pyhpp::core::Problem::applyConstraints | ( | ConfigurationIn_t | config | ) |

## ◆ asManipulationProblem()

hpp::manipulation::ProblemPtr_t pyhpp::core::Problem::asManipulationProblem | ( |  | ) | const
| inline

## ◆ clearConfigValidations()

void pyhpp::core::Problem::clearConfigValidations | ( |  | ) |

## ◆ configurationShooter() [1/2]

ConfigurationShooterPtr_t pyhpp::core::Problem::configurationShooter | ( |  | ) | const

## ◆ configurationShooter() [2/2]

void pyhpp::core::Problem::configurationShooter | ( | const ConfigurationShooterPtr_t & | configurationShooter | ) |

## ◆ configValidation() [1/2]

const ConfigValidationsPtr_t & pyhpp::core::Problem::configValidation | ( |  | ) | const

## ◆ configValidation() [2/2]

void pyhpp::core::Problem::configValidation | ( | const ConfigValidationsPtr_t & | cv | ) |

## ◆ createComBetweenFeet()

hpp::constraints::ImplicitPtr_t pyhpp::core::Problem::createComBetweenFeet | ( | const char * | constraintName,
|  | const char * | comName,
|  | const char * | jointLName,
|  | const char * | jointRName,
|  | const hpp::pinocchio::vector3_t & | pointL,
|  | const hpp::pinocchio::vector3_t & | pointR,
|  | const char * | jointRefName,
|  | const hpp::pinocchio::vector3_t & | pointRef,
|  | boost::python::list | mask
| ) |  |

## ◆ createRelativeComConstraint()

hpp::constraints::ImplicitPtr_t pyhpp::core::Problem::createRelativeComConstraint | ( | const char * | constraintName,
|  | const char * | comName,
|  | const char * | jointName,
|  | hpp::pinocchio::vector3_t | point,
|  | boost::python::list | mask
| ) |  |

## ◆ createTransformationConstraint()

hpp::constraints::ImplicitPtr_t pyhpp::core::Problem::createTransformationConstraint | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const hpp::pinocchio::Transform3s & | M,
|  | boost::python::list | mask
| ) |  |

## ◆ createTransformationConstraint2()

hpp::constraints::ImplicitPtr_t pyhpp::core::Problem::createTransformationConstraint2 | ( | const char * | constraintName,
|  | const char * | joint1Name,
|  | const char * | joint2Name,
|  | const hpp::pinocchio::Transform3s & | M1,
|  | const hpp::pinocchio::Transform3s & | M2,
|  | const boost::python::list | mask
| ) |  |

## ◆ directPath()

boost::python::tuple pyhpp::core::Problem::directPath | ( | ConfigurationIn_t | start,
|  | ConfigurationIn_t | end,
|  | bool | validate
| ) |  |

## ◆ distance() [1/2]

DistancePtr_t pyhpp::core::Problem::distance | ( |  | ) | const

## ◆ distance() [2/2]

void pyhpp::core::Problem::distance | ( | const DistancePtr_t & | d | ) |

## ◆ getConstraints()

hpp::core::ConstraintSetPtr_t pyhpp::core::Problem::getConstraints | ( |  | ) |

## ◆ getParameter()

const Parameter & pyhpp::core::Problem::getParameter | ( | const std::string & | name | ) | const

## ◆ getPartialCom()

hpp::pinocchio::vector3_t pyhpp::core::Problem::getPartialCom | ( | const std::string & | name | ) |

## ◆ initConfig()

void pyhpp::core::Problem::initConfig | ( | ConfigurationIn_t | inConfig | ) |

## ◆ isConfigValid()

boost::python::tuple pyhpp::core::Problem::isConfigValid | ( | ConfigurationIn_t | dofArray | ) |

## ◆ isManipulationProblem()

bool pyhpp::core::Problem::isManipulationProblem | ( |  | ) | const
| inline

## ◆ pathProjector() [1/2]

PathProjectorPtr_t pyhpp::core::Problem::pathProjector | ( |  | ) | const

## ◆ pathProjector() [2/2]

void pyhpp::core::Problem::pathProjector | ( | const PathProjectorPtr_t & | pp | ) |

## ◆ pathValidation() [1/2]

PathValidationPtr_t pyhpp::core::Problem::pathValidation | ( |  | ) | const

## ◆ pathValidation() [2/2]

void pyhpp::core::Problem::pathValidation | ( | const PathValidationPtr_t & | pv | ) |

## ◆ resetGoalConfigs()

void pyhpp::core::Problem::resetGoalConfigs | ( |  | ) |

## ◆ robot()

const DevicePtr_t & pyhpp::core::Problem::robot | ( |  | ) | const

## ◆ setConstantRightHandSide()

void pyhpp::core::Problem::setConstantRightHandSide | ( | hpp::constraints::ImplicitPtr_t | constraint,
|  | bool | constant
| ) |  |

## ◆ setConstraints()

void pyhpp::core::Problem::setConstraints | ( | hpp::core::ConstraintSetPtr_t | constraints | ) |

## ◆ setParameter()

void pyhpp::core::Problem::setParameter | ( | const std::string & | name,
|  | const Parameter & | value
| ) |  |

## ◆ setParameterFloat()

void pyhpp::core::Problem::setParameterFloat | ( | const std::string & | name,
|  | value_type | value
| ) |  |

## ◆ setParameterInt()

void pyhpp::core::Problem::setParameterInt | ( | const std::string & | name,
|  | size_type | value
| ) |  |

## ◆ setRightHandSideFromConfig()

void pyhpp::core::Problem::setRightHandSideFromConfig | ( | ConfigurationIn_t | configIn | ) |

## ◆ steeringMethod() [1/2]

PyWSteeringMethodPtr_t pyhpp::core::Problem::steeringMethod | ( |  | ) | const

## ◆ steeringMethod() [2/2]

void pyhpp::core::Problem::steeringMethod | ( | const PyWSteeringMethodPtr_t & | steeringMethod | ) |

## ◆ target() [1/2]

const ProblemTargetPtr_t & pyhpp::core::Problem::target | ( |  | ) | const

## ◆ target() [2/2]

void pyhpp::core::Problem::target | ( | const ProblemTargetPtr_t & | t | ) |

## Member Data Documentation

## ◆ centerOfMassComputations

std::map<std::string, hpp::pinocchio::CenterOfMassComputationPtr_t> pyhpp::core::Problem::centerOfMassComputations

## ◆ constraints_

hpp::core::ConstraintSetPtr_t pyhpp::core::Problem::constraints_

## ◆ errorThreshold_

value_type pyhpp::core::Problem::errorThreshold_

## ◆ maxIterProjection_

size_type pyhpp::core::Problem::maxIterProjection_

## ◆ obj

hpp::core::ProblemPtr_t pyhpp::core::Problem::obj

The documentation for this struct was generated from the following files:

- include/pyhpp/core/problem.hh
- src/pyhpp/core/problem.cc